@echo off
setlocal ENABLEEXTENSIONS

set SCRIPT_DIR=%~dp0

set TEAMWORKS_HOME=%1
if not exist "%TEAMWORKS_HOME%" goto :error

if exist "%JAVA_HOME%" goto :TestJavaHome
set JAVA_HOME=%TEAMWORKS_HOME%\AppServer\java
if exist "%JAVA_HOME%" goto :TestJavaHome
set JAVA_HOME=%TEAMWORKS_HOME%\Lombardi Authoring Environment\AppClient\java
if exist "%JAVA_HOME%" goto :TestJavaHome
echo Usage: Java could not be found under your WLE installation, please make sure that %TEAMWORKS_HOME% is pointing to the correct WLE installation directory.
goto end

:TestJavaHome
if not exist "%JAVA_HOME%" goto :NoJavaBits
if not exist "%JAVA_HOME%\bin" goto :NoJavaBits
if not exist "%JAVA_HOME%\bin\java.exe" goto :NoJavaBits

set JAVA_ARGS=-classpath "%SCRIPT_DIR%\lib\ant-launcher.jar;%SCRIPT_DIR%\lib\ant.jar;%SCRIPT_DIR%\lib\ant-contrib.jar;%SCRIPT_DIR%\lib\ant-nodeps.jar;%JAVA_HOME%/lib/tools.jar"

"%JAVA_HOME%\bin\java" -Xms128m -Xmx512m %JAVA_ARGS% org.apache.tools.ant.launch.Launcher -buildfile %SCRIPT_DIR%\install_hotfix.xml -Dteamworks.home="%TEAMWORKS_HOME%" %2

goto end

:error
echo Usage: install_hotfix.cmd WLE_Install_dir
goto end

:NoJavaBits
echo Java could not be found in %JAVA_HOME%\bin. Hot fix install requires Java.
goto :end

:end
exit /B %ERRORLEVEL%
